## ros-melodic-rotors-gazebo-plugins 2.2.3

=== debian/changelog ===
ros-melodic-rotors-gazebo-plugins (2.2.3-0stretch) stretch; urgency=high

  * Added dependencies to gazebo_plugins
  * Contributors: michaelpantic

 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Wed, 12 Dec 2018 23:00:00 -0000

ros-melodic-rotors-gazebo-plugins (2.2.2-0stretch) stretch; urgency=high

  * Fixes issues with build on buildfarm and old ubuntu systems (added MAVROS dependencies, version checking, protobuf-dev etc)
  * Contributors: michaelpantic

 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Tue, 11 Dec 2018 23:00:00 -0000

ros-melodic-rotors-gazebo-plugins (2.2.0-0stretch) stretch; urgency=high

  * Major changes in CMakeLists and package definition for Gazebo version compatibility
  * Code updated to Gazebo9 API
  * Automatic backport script added for pre-9 compatibility
  * Added NoisyDepth Plugin
  * Contributors: Fadri Furrer, Helen Oleynikova, Michael Pantic, Mina Kamel, Nicolas El Hayek, Timo Hinzmann, Zachary Taylor, fmina, kajabo, michaelpantic, nelhayek, orangelynx, ptrkfry

 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Sun, 09 Dec 2018 23:00:00 -0000

ros-melodic-rotors-gazebo-plugins (2.1.1-0stretch) stretch; urgency=high

  * Merge pull request #377 <https://github.com/ethz-asl/rotors_simulator/issues/377> from ethz-asl/feature/pressure-plugin
    Feature/pressure-plugin
  * More verbose variable names in pressure calculations.
  * update maintainers
  * Giving more verbose names to the constants
  * Adapting the pressure plugin to work with Gazebo transport interface
  * Adding Gazebo interface for fluid pressure message
  * Initial commit for pressure plugin.
  * Contributors: Timo Hinzmann, fmina, pvechersky

 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Wed, 26 Apr 2017 22:00:00 -0000

ros-melodic-rotors-gazebo-plugins (2.1.0-0stretch) stretch; urgency=high

  * fixes issue 371
  * Correct gazebo versioning
  * Adding yaml_cpp_catkin, along with catkin_simple, as a dependency for ROS configuration
  * Adding find_library to FindYamlCpp and linking to it
  * Adding FindYamlCpp cmake module to locate yaml-cpp include dirs
  * Making some vectors, YAML nodes, and long calculation variables as const
  * Minor text fixes.
  * Minor fixes
  * Some minor fixes to fw dynamics
  * Implementing fixed-wing operation with a joystick
  * Fixing the TwistStamped message publishing
  * Add conversion of RollPitchYawrateThrust msgs from ROS to Gazebo to allow Joystick node input in Gazebo plugins
  * Implementing the rest of parameter parsing and forces + moments calculations
  * Implementing handling of actuator command to fixed-wing dynamics plugin
  * Adding max and min angle of attack as parameters and some minor renaming
  * Making Gazebo Actuators msg same as mav_msgs Actuators msg
  * Making fixed-wing params more descriptive
  * Implementing YAML parsing of fixed-wing aerodynamic parameters
  * Parameterizing techpod mesh files and aerodynamic parameters
  * First outline of the fixed-wing dynamics plugin
  * Adding wind speed recording to rosbag plugin.
  * Adapting Rotors plugin to use the new external force and wind speed mav_comm topics
  * Adapting wind plugin to publish the WIND SPEED message
  * Adding ability to convert Gazebo wind speed msgs into ROS wind speed msgs
  * Adding wind speed publishing to the wind plugin
  * Fixing a message type typo in the comment
  * Merge pull request #343 <https://github.com/ethz-asl/rotors_simulator/issues/343> from acfloria/features/octomap_plugin_gazebo_origin
    Octomap Plugin Gazebo Origin
  * run clang-format through all our plugins
  * fix style and removed some comments
  * Removed debug code, tidied up comments.
  * Added helper methods for GZ to ROS and ROS to GZ header conversion.
  * Added collision check for map which stored ConnectHelperStorage items by Gazebo topic name.
  * ROS interface plugin no longer checks and uses the namespace variable from SDF file.
  * Fixed code style of constants in MAVLink interface .cpp file.
  * Added todo 'add noise' to IMU plugin.
  * GPS plugin now uses default message topics from mav_msgs.
  * Fixed up TwistStamped message type, and moved from a sensor to geomtery message namespace.
  * Motor model now uses default message types defined in mav_msgs. Made types more descriptive.
  * Re-enabled used of default topics from mav_msgs package in IMU plugin.
  * Tidied up code style in MAVlink interface plugin.
  * Removed unused and duplicate MotorSpeed.proto message type.
  * Moved the gimbal controller, GST camera, LIDAR and optical flow plugins to 'external' directories.
  * Moved Geotagged images plugin code files into 'external' directories.
  * Added default values for passed-in variables to rotors_gazebo_plugins CMake file.
  * Use ignition::math::Vector3d instead of gazebo::math::Vector3 for Gazebo version 6 or newer in the octomap plugin.
  * Explicitly added specific MAVLink header for debugging.
  * Fixed Gazebo topic namespaces into the MAVlink interface plugin.
  * All Gazebo plugins now use topics on the default Gazebo namespace.
  * ROS interface plugin now uses /gazebo/rotors/ namespace for the two 'connect' topics.
  * Fixed up protobuf message numbering.
  * Gazebo namespace is now required for all ROS to Gazebo messages. All plugins should be now setting this correctly.
  * All ROS to Gazebo message types now support a Gazebo namespace setting.
  * ACTUATORS message type now uses Gazebo namespace to create ROS to Gazebo connection.
  * Gazebo namespace is now required for the connect gazebo to ros messages.
  * Magnetometer, motor model, multirotor base and wind plugins now set Gazebo namespace.
  * Controller interface, GPS and IMU plugins now set the Gazebo namespace value in the ROS interface message.
  * All topics in odometry plugin now configure Gazebo namespace for ROS interface plugin.
  * Gazebo namespace variable is now used in ROS interface plugin if provided.
  * Added support into GazeboRosInterfacePlugin to use a provided Gazebo namespace.

