=== debian/control ===
Source: ros-melodic-rotors-gazebo-plugins
Section: misc
Priority: extra
Maintainer: Fadri Furrer <fadri.furrer@mavt.ethz.ch>
Build-Depends: debhelper (>= 9.0.0), gazebo7, libgoogle-glog-dev, libprotobuf-dev, libprotoc-dev, libyaml-cpp-dev, protobuf-compiler, ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-cv-bridge, ros-melodic-gazebo-plugins, ros-melodic-gazebo-ros, ros-melodic-geometry-msgs, ros-melodic-mav-msgs, ros-melodic-mavros, ros-melodic-octomap, ros-melodic-octomap-msgs, ros-melodic-octomap-ros, ros-melodic-rosbag, ros-melodic-roscpp, ros-melodic-rotors-comm, ros-melodic-rotors-control, ros-melodic-std-srvs, ros-melodic-tf
Homepage: https://github.com/ethz-asl/rotors_simulator
Standards-Version: 3.9.2

Package: ros-melodic-rotors-gazebo-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gazebo7, libgoogle-glog-dev, libprotobuf-dev, libprotoc-dev, libyaml-cpp-dev, protobuf-compiler, ros-melodic-cmake-modules, ros-melodic-cv-bridge, ros-melodic-gazebo-plugins, ros-melodic-gazebo-ros, ros-melodic-geometry-msgs, ros-melodic-mav-msgs, ros-melodic-mavros, ros-melodic-octomap, ros-melodic-octomap-msgs, ros-melodic-octomap-ros, ros-melodic-rosbag, ros-melodic-roscpp, ros-melodic-rotors-comm, ros-melodic-rotors-control, ros-melodic-std-srvs, ros-melodic-tf
Description: The rotors_gazebo_plugins package
